Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSTemplateMBean

public interface JMSTemplateMBean
extends JMSDestCommonMBean, ConfigurationMBean, JMSConstants

A JMS destination template.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addDestination(JMSDestinationMBean destination)` Add a destination to the template.
`JMSDestinationMBean[]` | `getDestinations()` Return a read-only array of the destinations for the template.
`boolean` | `isBytesPagingEnabled()` Check if BytesPagingEnabled is set.
`boolean` | `isMessagesPagingEnabled()` Check if MessagesPagingEnabled is set.
`boolean` | `removeDestination(JMSDestinationMBean destination)` Remove a destination from a template.
`void` | `setBytesPagingEnabled(boolean enabled)` Set the BytesPagingEnabled attribute for the template.
`void` | `setMessagesPagingEnabled(boolean enabled)` Set the MessagesPagingEnabled attribute for the template.

Methods inherited from interface weblogic.management.configuration.JMSDestCommonMBean
`addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getErrorDestination, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getRedeliveryDelayOverride, getRedeliveryLimit, getTimeToDeliverOverride, getTimeToLiveOverride, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setDeliveryModeOverride, setDestinationKeys, setErrorDestination, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setRedeliveryDelayOverride, setRedeliveryLimit, setTimeToDeliverOverride, setTimeToLiveOverride`

Method Detail

### getDestinations

    public JMSDestinationMBean[] getDestinations()

  Return a read-only array of the destinations for the template.

### addDestination

    public boolean addDestination(JMSDestinationMBean destination)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a destination to the template.

  A dynamic MBean attribute
  Parameters:
    `destination` - a reference to JMSDestinationMBean

### removeDestination

    public boolean removeDestination(JMSDestinationMBean destination)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a destination from a template.

  A dynamic MBean attribute
  Parameters:
    `destination` - a reference to JMSDestinationMBean

### isMessagesPagingEnabled

    public boolean isMessagesPagingEnabled()

  Check if MessagesPagingEnabled is set.

  Flag for specifying whether or not messages paging is enabled on the template:

  - If this flag is not selected (false), then messages paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - If this flag is selected (true), a paging store has been configured for the JMS Server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, this setting defaults to "false" and messages paging is disabled for the template's destinations--unless the destination setting overrides the template.

### setMessagesPagingEnabled

    public void setMessagesPagingEnabled(boolean enabled)
                                  throws javax.management.InvalidAttributeValueException

  Set the MessagesPagingEnabled attribute for the template.

  Flag for specifying whether or not messages paging is enabled on the template:

  - If this flag is not selected (false), then messages paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - If this flag is selected (true), a paging store has been configured for the JMS Server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, this setting defaults to "false" and messages paging is disabled for the template's destinations--unless the destination setting overrides the template.

  Default Value: false

### isBytesPagingEnabled

    public boolean isBytesPagingEnabled()

  Check if BytesPagingEnabled is set.

  Flag for specifying whether or not bytes paging is enabled on the template:

  - If this flag is not selected (false), then bytes paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - If this flag is selected (true), a paging store has been configured for the JMS Server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, then this setting defaults to "false" and bytes paging is disabled for the template's destinations--unless the destination setting overrides the template.

### setBytesPagingEnabled

    public void setBytesPagingEnabled(boolean enabled)
                               throws javax.management.InvalidAttributeValueException

  Set the BytesPagingEnabled attribute for the template.

  Flag for specifying whether or not bytes paging is enabled on the template:

  - If this flag is not selected (false), then bytes paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - If this flag is selected (true), a paging store has been configured for the JMS Server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, then this setting defaults to "false" and bytes paging is disabled for the template's destinations--unless the destination setting overrides the template.

  Default Value: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference